post
https://sandbox.saner.secpod.com/AncorWebService/perform
Create a group with a unique name and description.
This method allows you to add a group. Creation of group requires unique group name and description. These fields should only contain alphanumeric characters, space, dot(.), underscore(_) or hyphen(-). Max allowed characters is 50.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| groupname | Unique group name. Allowed characters: alphanumeric, space, dot(.), underscore(_) or hyphen(-). Max 50. | Yes | string |
| groupdesc | Group description. Allowed characters: alphanumeric, space, dot(.), underscore(_) or hyphen(-). Max 50. | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Group.add(
groupname="DemoGroup",
groupdesc=" Demo Description"
)
print(response)
client.close()Requires Python 3.9 or later.